pub mod cpu;
pub mod devices;
pub mod external;
pub mod formatted;
pub mod gpu;
pub mod memory;
pub mod meta;
pub mod network;
pub mod os;
pub mod storage;
pub mod uptime;

#[allow(unused_imports)]
pub use formatted::{
    architecture::FmtOSArchitecture,
    date_time::{FmtDateTime, IntoDateTime},
    desktop_environment::FmtDE,
    numbers::FmtBytes,
    numbers::FmtCores,
    numbers::FmtThreads,
    offset_time::FmtOffsetTime,
    relative_time::FmtRelativeTime,
    version::FmtVersion,
};

pub const UNKNOWN: &str = "Unknown";
